/*
 * Class WEL_LOG_PEN
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_788 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_788 [] = {0xFF01,1551,787,0xFFFF};
static const EIF_TYPE_INDEX egt_2_788 [] = {0xFF01,787,0xFFFF};
static const EIF_TYPE_INDEX egt_3_788 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_788 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_788 [] = {0xFF01,787,0xFFFF};
static const EIF_TYPE_INDEX egt_6_788 [] = {0xFF01,787,0xFFFF};
static const EIF_TYPE_INDEX egt_7_788 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_788 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_788 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_788 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_788 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_788 [] = {0xFF01,787,0xFFFF};
static const EIF_TYPE_INDEX egt_13_788 [] = {0xFF01,1300,0xFFFF};


static const struct desc_info desc_788[] = {
	{EIF_GENERIC(NULL), 18326, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_788), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_788), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_788), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_788), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_788), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_788), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_788), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_788), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_788), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_788), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_788), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_788), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0627 /*787*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_788), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12927, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18327, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18330, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_788), 18331, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18332, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18333, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18334, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18319, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18320, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18321, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18322, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18323, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18324, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18325, 0xFFFFFFFF},
};
void Init788(void)
{
	IDSC(desc_788, 0, 787);
	IDSC(desc_788 + 1, 1, 787);
	IDSC(desc_788 + 32, 791, 787);
	IDSC(desc_788 + 34, 1359, 787);
	IDSC(desc_788 + 44, 1308, 787);
	IDSC(desc_788 + 54, 1023, 787);
	IDSC(desc_788 + 73, 800, 787);
}


#ifdef __cplusplus
}
#endif
